## org.apache.taglibs.standard.tag.rt.sql
Class DateParamTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.sql.DateParamTagSupport
              org.apache.taglibs.standard.tag.rt.sql.DateParamTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class DateParamTag

extends DateParamTagSupport

Subclass for the JSTL library with rtexprvalue support.

Author:
  Justyna Horwat
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.sql.DateParamTagSupport
`type, value`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DateParamTag()`

Method Summary
`void` `setType(String type)`
`void` `setValue(Date value)`

Methods inherited from class org.apache.taglibs.standard.tag.common.sql.DateParamTagSupport
`doEndTag`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateParamTag

    public DateParamTag()

Method Detail

### setValue

    public void setValue(Date value)

### setType

    public void setType(String type)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.